package cn.axzo.workflow.generate.annotition;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface GenService {

    String genPkgName();

    String genSourcePath() default "workflow-engine-spring-boot-starter/src/main/java";

    String genClassName() default "WorkflowCoreService_Gen";

    boolean overrideSource() default false;
}
